const path = require('path');
const config = {
    '/projectx/projectId/projectRule.query': {
        data: './json/Rule.json'
    },
    '/projectx/projectId/getRanking.query': {
        data: './json/RankList.json'
    },
    '/projectx/projectId/join_1/save.do': {
        data: './json/JobNum.json'
    },
    '/projectx/projectId/join_1/join.do': {
        data: './json/UserInfo.json'
    },
    '/projectx/projectId/join_1/query.do': {
        data: './json/RankListData.json'
    },
    '/wechatShare/getShareInfo/v2': {
        data: './json/GetShareInfo.json'
    }
}

for (let item in config) {
    /* let key = item.replace(new RegExp("{", "g"), "");
    key = key.replace(new RegExp("}", "g"), "");
    config[key] = config[item]; */

    if (config.hasOwnProperty(item))
        config[item].path = path.resolve(__dirname, config[item].data);
}
module.exports = config;